#!/usr/bin/env python
# -*- encoding: utf-8 -*-
from distutils.core import setup
import glob
import site
import os
import stat
execute = stat.S_IXUSR | stat.S_IXGRP | stat.S_IXOTH | stat.S_IRUSR | stat.S_IWUSR | stat.S_IRGRP | stat.S_IROTH
os.chmod('iptables.sh', execute)
#os.chmod('ltsp-config.py', execute)
os.chmod('ltspconfig', execute)
setup(name='LTSPConfig',
      version='0.3.1',
      description='Python Distribution Utilities',
      author='Sofía Martin, Fernando E. M. López',
      author_email='soportelihuen@linti.unlp.edu.ar',
      url='http://lihuen.linti.unlp.edu.ar/index.php/Ltspconfig/',
      package_dir={'ltspconfig': '.'},
      packages=['ltspconfig'],
      scripts=['ltspconfig'],
      data_files=[('/usr/lib/ltspconfig', ('iptables.sh',)),
		  ('/usr/share/applications', ('ltspconfig.desktop',)),
		  ('/usr/share/pixmaps', glob.glob('*.png')),
          ('/usr/lib/ltspconfig', glob.glob('*.glade'))]
     )
